# Packmangroup: Multimedia
# Packmanpackagename: faac
# Packman: Manfred Tremmel

# norootforbuild

%define major     0
%define lib       libfaac
%define libname   %{lib}%{major}

Name:           faac
Summary:        Frontend for encoding MPEG2/4 AAC
Summary(de):    Frontend zum Encodieren von MPEG2/4 AAC
Version:        1.28
Release:        2.3
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.audiocoding.com/
Source0:        faac-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         faac_configure_in.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       %{libname} = %{version}-%{release}
Requires:       libfaad2 >= 2.7
BuildRequires:  libfaad-devel >= 2.7
BuildRequires:  libmp4v2-devel
BuildRequires:  gcc
BuildRequires:  libstdc++45
BuildRequires:  libstdc++-devel

%description
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch. FAAC is licensed under the GPL.

%description -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of faac
Summary(de):    Bibliotheken zu faac
Requires:       libfaad2 >= 2.7
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch. FAAC is licensed under the GPL.
Shared library part of faac

%description -n %{libname} -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Bibliotheken zu faac

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the faac library
Summary(de):    Header Dateien und statische Bibliotheken für die faac Bibliothek
Requires:       %{libname} = %{version}-%{release}
Requires:       libfaad-devel >= 2.7
Requires:       libmp4v2-devel
Requires:       libstdc++45
Requires:       libstdc++-devel
Provides:       %{libname}-devel = %{version}-%{release}
Provides:       faac-devel = %{version}-%{release}

%description -n %{lib}-devel
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch. FAAC is licensed under the GPL.
Header files and static library for the faac library

%description -n %{lib}-devel -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Header Dateien und statische Bibliotheken für die faac Bibliothek

%debug_package

%prep
%setup -qn faac-%{version}
%patch0

%build
autoreconf -vif
export LDFLAGS="-lmp4v2"
%configure --with-mp4v2 --enable-shared --disable-static
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%makeinstall
rm -f %{buildroot}/%{_libdir}/*.a

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/faac.1.gz

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*


%changelog
* Wed Mar  3 2010 Manfred.Tremmel@iiv.de
- added baselibs file
* Sat Aug 22 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Feb 10 2009 Manfred.Tremmel@iiv.de
- version 1.28
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- version 1.26
* Sun Mar  2 2008 Manfred.Tremmel@iiv.de
- splittetd into separate packages
* Mon Oct  2 2006 Manfred.Tremmel@iiv.de
- enabled mp4 support
* Mon Aug 14 2006 Manfred.Tremmel@iiv.de
- version 1.25
* Sun Apr  9 2006 Manfred.Tremmel@iiv.de
- rebuild with separate libmp4v2 (no longer part of faad2)
* Fri Jan  7 2005 rainer@links2linux.de
- first version for faac
